gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.AccessibleList

Contents

- Exported types
- Methods
  - getObjects
  - newFromArray
  - newFromList

Description

Wraps a list of references to `Accessible` objects.

Since: 4.14

Synopsis

- newtype AccessibleList = AccessibleList (ManagedPtr AccessibleList)
- accessibleListGetObjects :: (HasCallStack, MonadIO m) => AccessibleList -> m [Accessible]
- accessibleListNewFromArray :: (HasCallStack, MonadIO m) => [Accessible] -> m AccessibleList
- accessibleListNewFromList :: (HasCallStack, MonadIO m, IsAccessible a) => [a] -> m AccessibleList

# Exported types

newtype AccessibleList Source #

Memory-managed wrapper type.

Constructors

AccessibleList (ManagedPtr AccessibleList) |

#### Instances

Instances details

Eq AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList Methods (==) :: AccessibleList -> AccessibleList -> Bool Source # (/=) :: AccessibleList -> AccessibleList -> Bool Source #
GBoxed AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList
ManagedPtrNewtype AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList Methods toManagedPtr :: AccessibleList -> ManagedPtr AccessibleList Source #
TypedObject AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList Methods glibType :: IO GType Source #
HasParentTypes AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList
IsGValue (Maybe AccessibleList) Source # | Convert `AccessibleList` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Structs.AccessibleList Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AccessibleList -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AccessibleList) Source #
type ParentTypes AccessibleList Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleList type ParentTypes AccessibleList = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getObjects.

#### Setters

None.

## getObjects

accessibleListGetObjects Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> AccessibleList |
-> m [Accessible] | Returns: a shallow copy of the objects

Gets the list of objects this boxed type holds.

Since: 4.14

## newFromArray

accessibleListNewFromArray Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> [Accessible] | `accessibles`: array of accessible objects
-> m AccessibleList | Returns: the newly created list of accessible objects

Allocates a new list of accessible objects.

Since: 4.14

## newFromList

accessibleListNewFromList Source #

Arguments

:: (HasCallStack, MonadIO m, IsAccessible a) |
=> [a] | `list`: a list of accessible objects
-> m AccessibleList | Returns: the list of accessible objects

Allocates a new `GtkAccessibleList`, doing a shallow copy of the passed list of accessible objects

Since: 4.14